package com.qmth.distributed.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 专业认证毕业要求支撑矩阵
 * </p>
 *
 * @author xf
 * @since 2024-04-22
 */
@TableName("t_p_matrix")
@ApiModel(value="TPMatrix对象", description="专业认证毕业要求支撑矩阵")
public class TPMatrix implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty(value = "专业ID")
    private Long professionalId;

    @ApiModelProperty(value = "专业认证课程ID")
    private Long courseId;

    @ApiModelProperty(value = "专业认证毕业要求ID")
    private Long requirementId;

    @ApiModelProperty(value = "子节点名称")
    private String subName;

    @ApiModelProperty(value = "指标值")
    private Double content;

    @ApiModelProperty(value = "创建人ID")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    @ApiModelProperty(value = "更新人ID")
    private Long updateId;

    @ApiModelProperty(value = "更新时间")
    private Long updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Long getProfessionalId() {
        return professionalId;
    }

    public void setProfessionalId(Long professionalId) {
        this.professionalId = professionalId;
    }
    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }
    public Long getRequirementId() {
        return requirementId;
    }

    public void setRequirementId(Long requirementId) {
        this.requirementId = requirementId;
    }
    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }
    public Double getContent() {
        return content;
    }

    public void setContent(Double content) {
        this.content = content;
    }
    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }
    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }
    public Long getUpdateId() {
        return updateId;
    }

    public void setUpdateId(Long updateId) {
        this.updateId = updateId;
    }
    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "TPMatrix{" +
            "id=" + id +
            ", professionalId=" + professionalId +
            ", courseId=" + courseId +
            ", requirementId=" + requirementId +
            ", subName=" + subName +
            ", content=" + content +
            ", createId=" + createId +
            ", createTime=" + createTime +
            ", updateId=" + updateId +
            ", updateTime=" + updateTime +
        "}";
    }
}
